replace.hpp File Reference

## Functions

template<typename I , typename S , typename T1 , typename T2 , typename P = identity>
auto | ranges::replace (I first, S last, T1 const &old_value, T2 const &new_value, P proj={}) -> I requires input_iterator< I > &&sentinel_for< S, I > &&writable< I, T2 const &> &&indirect_relation< equal_to, projected< I, P >, T1 const *>
| function template `replace`
template<typename Rng , typename T1 , typename T2 , typename P = identity>
auto | ranges::replace (Rng &&rng, T1 const &old_value, T2 const &new_value, P proj={}) -> safe_iterator_t< Rng > requires input_range< Rng > &&writable< iterator_t< Rng >, T2 const &> &&indirect_relation< equal_to, projected< iterator_t< Rng >, P >, T1 const *>